Get an attachment download link
curl --request POST \
--url https://api.liara.ir/v1/attachments/download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<attachment-key>"
}
'import requests
url = "https://api.liara.ir/v1/attachments/download"
payload = { "key": "<attachment-key>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '<attachment-key>'})
};
fetch('https://api.liara.ir/v1/attachments/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.liara.ir/v1/attachments/download",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'key' => '<attachment-key>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.liara.ir/v1/attachments/download"
payload := strings.NewReader("{\n \"key\": \"<attachment-key>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.liara.ir/v1/attachments/download")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"key\": \"<attachment-key>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.liara.ir/v1/attachments/download")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"key\": \"<attachment-key>\"\n}"
response = http.request(request)
puts response.read_body{
"url": "https://files.example.com/<attachment-key>?signature=<signature>"
}
Attachments
Get an attachment download link
Returns a temporary download link for an attachment. Use the attachment’s key from GET /v1/tickets/{ticketID}. The link is valid for 12 hours.
POST
/
v1
/
attachments
/
download
Get an attachment download link
curl --request POST \
--url https://api.liara.ir/v1/attachments/download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<attachment-key>"
}
'import requests
url = "https://api.liara.ir/v1/attachments/download"
payload = { "key": "<attachment-key>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '<attachment-key>'})
};
fetch('https://api.liara.ir/v1/attachments/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.liara.ir/v1/attachments/download",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'key' => '<attachment-key>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.liara.ir/v1/attachments/download"
payload := strings.NewReader("{\n \"key\": \"<attachment-key>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.liara.ir/v1/attachments/download")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"key\": \"<attachment-key>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.liara.ir/v1/attachments/download")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"key\": \"<attachment-key>\"\n}"
response = http.request(request)
puts response.read_body{
"url": "https://files.example.com/<attachment-key>?signature=<signature>"
}
Authorizations
Send your API token as Authorization: Bearer <api-token>.
Query Parameters
Run the request in the context of a team you belong to, instead of your personal account. 24-character hexadecimal ID.
Pattern:
^[0-9a-fA-F]{24}$Body
application/json
Response
The download link.
⌘I
